diff -crBPN --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.5.pl /home/packages/qi/SOURCES/wordpress-3.7.4/wp-admin/about.php /home/packages/qi/SOURCES/wordpress-3.7.5/wp-admin/about.php
*** /home/packages/qi/SOURCES/wordpress-3.7.4/wp-admin/about.php	2014-08-06 22:27:35.000000000 +0400
--- /home/packages/qi/SOURCES/wordpress-3.7.5/wp-admin/about.php	2014-11-20 19:26:10.000000000 +0300
***************
*** 36,42 ****
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 4 ); ?></h3>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed a security issue.',
           '<strong>Version %1$s</strong> addressed some security issues.', 5 ), '3.7.4', number_format_i18n( 5 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.7.4' ); ?>
--- 36,46 ----
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 5 ); ?></h3>
! 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed a security issue.',
!          '<strong>Version %1$s</strong> addressed some security issues.', 8 ), '3.7.5', number_format_i18n( 8 ) ); ?>
! 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.7.5' ); ?>
!  	</p>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed a security issue.',
           '<strong>Version %1$s</strong> addressed some security issues.', 5 ), '3.7.4', number_format_i18n( 5 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.7.4' ); ?>
diff -crBPN --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.5.pl /home/packages/qi/SOURCES/wordpress-3.7.4/wp-admin/includes/image.php /home/packages/qi/SOURCES/wordpress-3.7.5/wp-admin/includes/image.php
*** /home/packages/qi/SOURCES/wordpress-3.7.4/wp-admin/includes/image.php	2013-03-21 07:55:42.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.5/wp-admin/includes/image.php	2014-11-20 19:00:09.000000000 +0300
***************
*** 314,319 ****
--- 314,325 ----
  			$meta[ $key ] = utf8_encode( $meta[ $key ] );
  	}
  
+ 	foreach ( $meta as &$value ) {
+ 		if ( is_string( $value ) ) {
+ 			$value = wp_kses_post( $value );
+ 		}
+ 	}
+ 
  	return apply_filters( 'wp_read_image_metadata', $meta, $file, $sourceImageType );
  
  }
diff -crBPN --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.5.pl /home/packages/qi/SOURCES/wordpress-3.7.4/wp-admin/press-this.php /home/packages/qi/SOURCES/wordpress-3.7.5/wp-admin/press-this.php
*** /home/packages/qi/SOURCES/wordpress-3.7.4/wp-admin/press-this.php	2013-09-25 04:18:11.000000000 +0400
--- /home/packages/qi/SOURCES/wordpress-3.7.5/wp-admin/press-this.php	2014-11-20 17:00:18.000000000 +0300
***************
*** 65,71 ****
  	// error handling for media_sideload
  	if ( is_wp_error($upload) ) {
  		wp_delete_post($post_ID);
! 		wp_die($upload);
  	} else {
  		// Post formats
  		if ( isset( $_POST['post_format'] ) ) {
--- 65,71 ----
  	// error handling for media_sideload
  	if ( is_wp_error($upload) ) {
  		wp_delete_post($post_ID);
! 		wp_die( esc_html( $upload->get_error_message() ) );
  	} else {
  		// Post formats
  		if ( isset( $_POST['post_format'] ) ) {
diff -crBPN --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.5.pl /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/akismet.js /home/packages/qi/SOURCES/wordpress-3.7.5/wp-content/plugins/akismet/akismet.js
*** /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/akismet.js	1970-01-01 03:00:00.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.5/wp-content/plugins/akismet/akismet.js	2014-03-14 02:57:39.000000000 +0300
***************
*** 0 ****
--- 1,159 ----
+ jQuery( function ( $ ) {
+ 	$( '.switch-have-key' ).click( function() {
+ 		var no_key = $( this ).parents().find('div.no-key');		
+ 		var have_key = $( this ).parents().find('div.have-key');
+ 		
+ 		no_key.addClass( 'hidden' );
+ 		have_key.removeClass( 'hidden' );		
+ 		
+ 		return false;
+ 	});
+ 	$( 'p.need-key a' ).click( function(){
+ 		document.akismet_activate.submit();
+ 	});
+ 	$('.akismet-status').each(function () {
+ 		var thisId = $(this).attr('commentid');
+ 		$(this).prependTo('#comment-' + thisId + ' .column-comment div:first-child');
+ 	});
+ 	$('.akismet-user-comment-count').each(function () {
+ 		var thisId = $(this).attr('commentid');
+ 		$(this).insertAfter('#comment-' + thisId + ' .author strong:first').show();
+ 	});
+ 	$('#the-comment-list').find('tr.comment, tr[id ^= "comment-"]').find('.column-author a[title ^= "http://"]').each(function () {
+  		var thisTitle = $(this).attr('title');
+  		    thisCommentId = $(this).parents('tr:first').attr('id').split("-");
+  		
+  		$(this).attr("id", "author_comment_url_"+ thisCommentId[1]);
+  		
+  		if (thisTitle) {
+  			$(this).after(
+ 				$( '<a href="#" class="remove_url">x</a>' )
+ 					.attr( 'commentid', thisCommentId[1] )
+ 					.attr( 'title', WPAkismet.strings['Remove this URL'] )
+ 			);
+  		}
+  	});
+  	$('.remove_url').live('click', function () {
+  		var thisId = $(this).attr('commentid');
+  		var data = {
+  			action: 'comment_author_deurl',
+ 			_wpnonce: WPAkismet.comment_author_url_nonce,
+  			id: thisId
+  		};
+  		$.ajax({
+ 		    url: ajaxurl,
+ 		    type: 'POST',
+ 		    data: data,
+ 		    beforeSend: function () {
+ 		        // Removes "x" link
+ 	 			$("a[commentid='"+ thisId +"']").hide();
+ 	 			// Show temp status
+ 		        $("#author_comment_url_"+ thisId).html( $( '<span/>' ).text( WPAkismet.strings['Removing...'] ) );
+ 		    },
+ 		    success: function (response) {
+ 		        if (response) {
+ 	 				// Show status/undo link
+ 	 				$("#author_comment_url_"+ thisId)
+ 						.attr('cid', thisId)
+ 						.addClass('akismet_undo_link_removal')
+ 						.html(
+ 							$( '<span/>' ).text( WPAkismet.strings['URL removed'] )
+ 						)
+ 						.append( ' ' )
+ 						.append(
+ 							$( '<span/>' )
+ 								.text( WPAkismet.strings['(undo)'] )
+ 								.addClass( 'akismet-span-link' )
+ 						);
+ 				}
+ 		    }
+ 		});
+ 
+  		return false;
+  	});
+  	$('.akismet_undo_link_removal').live('click', function () {
+  		var thisId = $(this).attr('cid');
+ 		var thisUrl = $(this).attr('href').replace("http://www.", "").replace("http://", "");
+  		var data = {
+  			action: 'comment_author_reurl',
+ 			_wpnonce: WPAkismet.comment_author_url_nonce,
+  			id: thisId,
+  			url: thisUrl
+  		};
+ 		$.ajax({
+ 		    url: ajaxurl,
+ 		    type: 'POST',
+ 		    data: data,
+ 		    beforeSend: function () {
+ 	 			// Show temp status
+ 		        $("#author_comment_url_"+ thisId).html( $( '<span/>' ).text( WPAkismet.strings['Re-adding...'] ) );
+ 		    },
+ 		    success: function (response) {
+ 		        if (response) {
+ 	 				// Add "x" link
+ 					$("a[commentid='"+ thisId +"']").show();
+ 					// Show link
+ 					$("#author_comment_url_"+ thisId).removeClass('akismet_undo_link_removal').html(thisUrl);
+ 	 			}
+ 		    }
+ 		});
+  		
+  		return false;
+  	});
+ 	$('a[id^="author_comment_url"], tr.pingback td.column-author a:first-of-type').mouseover(function () {
+ 		var wpcomProtocol = ( 'https:' === location.protocol ) ? 'https://' : 'http://';
+ 		// Need to determine size of author column
+ 		var thisParentWidth = $(this).parent().width();
+ 		// It changes based on if there is a gravatar present
+ 		thisParentWidth = ($(this).parent().find('.grav-hijack').length) ? thisParentWidth - 42 + 'px' : thisParentWidth + 'px';
+ 		if ($(this).find('.mShot').length == 0 && !$(this).hasClass('akismet_undo_link_removal')) {
+ 			var self = $( this );
+ 			$('.widefat td').css('overflow', 'visible');
+ 			$(this).css('position', 'relative');
+ 			var thisHref = $.URLEncode( $(this).attr('href') );
+ 			$(this).append('<div class="mShot mshot-container" style="left: '+thisParentWidth+'"><div class="mshot-arrow"></div><img src="//s0.wordpress.com/mshots/v1/'+thisHref+'?w=450" width="450" class="mshot-image" style="margin: 0;" /></div>');
+ 			setTimeout(function () {
+ 				self.find( '.mshot-image' ).attr('src', '//s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=2');
+ 			}, 6000);
+ 			setTimeout(function () {
+ 				self.find( '.mshot-image' ).attr('src', '//s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=3');
+ 			}, 12000);
+ 		} else {
+ 			$(this).find('.mShot').css('left', thisParentWidth).show();
+ 		}
+ 	}).mouseout(function () {
+ 		$(this).find('.mShot').hide();
+ 	});
+ 	$('.checkforspam:not(.button-disabled)').click( function(e) { 
+  	    $('.checkforspam:not(.button-disabled)').addClass('button-disabled'); 
+  		$('.checkforspam-spinner').show(); 
+  		akismet_check_for_spam(0, 100); 
+  		e.preventDefault(); 
+  	});
+ 	
+ 	function akismet_check_for_spam(offset, limit) { 
+ 		$.post( 
+ 			ajaxurl, 
+ 			{ 
+ 				'action': 'akismet_recheck_queue', 
+ 				'offset': offset, 
+ 				'limit': limit 
+ 			}, 
+ 			function(result) { 
+ 				if (result.processed < limit) { 
+ 					window.location.reload(); 
+ 				} 
+ 				else { 
+ 					akismet_check_for_spam(offset + limit, limit); 
+ 				} 
+ 			} 
+ 		); 
+ 	}
+ });
+ // URL encode plugin
+ jQuery.extend({URLEncode:function(c){var o='';var x=0;c=c.toString();var r=/(^[a-zA-Z0-9_.]*)/;
+   while(x<c.length){var m=r.exec(c.substr(x));
+     if(m!=null && m.length>1 && m[1]!=''){o+=m[1];x+=m[1].length;
+     }else{if(c[x]==' ')o+='+';else{var d=c.charCodeAt(x);var h=d.toString(16);
+     o+='%'+(h.length<2?'0':'')+h.toUpperCase();}x++;}}return o;}
+ });
